Name:		perl-Maypole
Version:	2.11
Release:	1%{?dist}
Summary:	MVC web application framework
Group:		Development/Libraries
License:	GPL or Artistic
URL:            http://maypole.perl.org/
Source0:	http://search.cpan.org/CPAN/authors/id/T/TE/TEEJAY/Maypole-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	noarch
BuildRequires:  libapreq2-devel
BuildRequires:  perl(CGI::Untaint::date), perl(Class::DBI::mysql), perl(Class::DBI::AbstractSearch)
BuildRequires:  perl(CGI::Simple), perl(Class::DBI::AsForm), perl(Class::DBI::FromCGI)
BuildRequires:  perl(Class::DBI::Loader::Relationship), perl(Class::DBI::Pager)
BuildRequires:  perl(Class::DBI::Plugin::RetrieveAll), perl(Class::DBI::SQLite)
BuildRequires:  perl(Template::Plugin::Class), perl(Test::MockModule), perl(IO::CaptureOutput)
BuildRequires:	perl(Apache::Session::Wrapper), mod_perl
BuildRequires:	perl(Apache2::Request), perl(Test::Pod), perl(Class::DBI)
BuildRequires:	perl(Test::Pod::Coverage), perl(Class::DBI::Loader)
BuildRequires:	perl(Template)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:	mod_perl

%description
Maypole is a Perl framework for MVC-oriented web 
applications, similar to Jakarta's Struts. Maypole 
is designed to minimize coding requirements for 
creating simple web interfaces to databases, while 
remaining flexible enough to support enterprise web 
applications.

%prep
%setup -q -n Maypole-%{version}

# Filter false positive requires
cat <<EOF > %{name}-req
#!/bin/sh
%{__perl_requires} \
| grep -v 'perl(mod_perl)'
EOF
%define __perl_requires %{_builddir}/Maypole-%{version}/%{name}-req
chmod +x %{__perl_requires}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_datadir}/%{name}
make pure_install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -type f -name .packlist -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type f -name '*.bs' -a -size 0 -exec rm -f {} ';'
find $RPM_BUILD_ROOT -type d -depth -exec rmdir {} 2>/dev/null ';'
chmod -R u+w $RPM_BUILD_ROOT/*

%check
# make test

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc README Changes 
%{perl_vendorlib}/*
%{_mandir}/man3/*.3*

%changelog
* Wed Aug  2 2006 Tom "spot" Callaway <tcallawa@redhat.com> 2.11-1
- bump to 2.11

* Wed Oct 12 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.10-4
- use perl_requires filter instead

* Fri Oct  7 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.10-3
- remove Maypole-Plugin-Session
- fix Maypole/Session.pm from SVN
- parse out perl(mod_perl) as a Requires (its false for every distro in FE)

* Thu Oct  6 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.10-2
- add explicit BRs
- use upstream apache fix
- add Maypole-Session test

* Wed Sep  7 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.10-1
- remove redundant BR: perl
- don't optimize, we're noarch
- include license text
- bump to Maypole 2.10 and Maypole-Plugin-Session 0.2

* Fri Jul  8 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.10-0.2.pre1
- cleanups

* Wed Jul 6 2005 Tom "spot" Callaway <tcallawa@redhat.com> 2.10-0.1.pre1
- initial package for Fedora Extras
